//Ray.h

#include "Vector.h"

#pragma once

class CRay
{
public:
	CVector3 Start, Direction;

	CRay();
	CRay(CVector3 &Start, CVector3 &Look, bool bLookEqDir = false);
	~CRay();

	float operator ~();
};
